Safari 5.0.1

SafariReader.jpg

Apple 釋出 Safari® 5.0.1,啟用了 Safari 擴充套件並為此瀏覽器推出了 Safari Extensions Gallery。Apple 在六月份時為 Safari 5 提供了擴充套件支援,讓開發人員可以開始使用 HTML5、CSS3 及 JavaScript 網頁標準來製作擴充套件。有了 Safari Extensions Gallery,使用者便可快速找到適合的擴充套件,替 Safari 增添更完整或便利的功能,從顯示網路新聞的工具列到可以過濾網頁內容的程式套件,一應俱全。Safari 5.0.1 可讓使用者從 Safari Extensions Gallery 下載並安裝擴充套件,或者直接從開發人員的網站下載。

Safari Extensions Gallery 可以從 Safari 選單或 extensions.apple.com 網站進行存取。使用者只要輕輕鬆鬆按一下便可下載和安裝擴充套件,無須重新啟動瀏覽器。

New in this update:
Safari Extensions
Customize Safari with features created by third-party developers
Find extensions in the Safari Extensions Gallery, accessible from the Safari menu and extensions.apple.com
This update also contains improvements to stability, accessibility and security, including the following:

More accurate Top Hit results in the Address Field
More accurate timing for CSS animations
Better stability when using the Safari Reader keyboard shortcut
Better stability when scrolling through MobileMe Mail
Fixes display of multipage articles from www.rollingstone.com in Safari Reader
Fixes an issue that prevented Google Wave and other websites using JavaScript encryption libraries from working correctly on 32-bit systems
Fixes an issue that prevented Safari from launching on Leopard systems with network home directories
Fixes an issue that could cause borders on YouTube thumbnails to disappear when hovering over the thumbnail image
Fixes an issue that could cause Flash content to overlap with other content on www.facebook.com, www.crateandbarrel.com, and other sites when using Flash 10.1
Fixes an issue that prevented boarding passes from www.aa.com from printing correctly
Fixes an issue that could cause DNS prefetching requests to overburden certain routers
Fixes an issue that could cause VoiceOver to misidentify elements of webpages
For detailed information on the security content of this update, please visit this site: http://support.apple.com/kb/HT1222

Safari 5 適用於 Mac OS® X 與 Windows,可從 www.apple.com/safari 免費下載。Safari 5 for Mac OS X 的系統需求為 Mac OS X Leopard® 10.5.8 或 Mac OS X Snow Leopard® 10.6.2 或更新版本。afari 5 for Windows 的系統需求為 Windows XP SP2、Windows Vista 或 Windows 7,最少須有 256MB 的記憶體,且系統使用 500 MHz Intel Pentium 或更新的處理器。